haproxy 1.4.18-0ubuntu2.1 source package in Ubuntu

Changelog

haproxy (1.4.18-0ubuntu2.1) quantal-security; urgency=low

  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via non-default global.tune.bufsize.
    - debian/patches/CVE-2012-2942.patch: check buffer sizes in
      include/types/global.h, src/acl.c, src/cfgparse.c, src/checks.c,
      src/dumpstats.c, src/haproxy.c, src/proto_http.c,
      tests/0000-debug-stats.diff.
    - CVE-2012-2942
  * SECURITY UPDATE: denial of service via HTTP information in tcp-request
    - debian/patches/CVE-2013-1912.patch: properly handle buffers in
      src/proto_http.c.
    - CVE-2013-1912
 -- Marc Deslauriers <email address hidden>   Fri, 05 Apr 2013 10:20:05 -0400

Upload details

Uploaded by:
Marc Deslauriers on 2013-04-05
Uploaded to:
Quantal
Original maintainer:
Ubuntu Developers
Architectures:
any
Section:
net
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
haproxy_1.4.18.orig.tar.gz 801.2 KiB ec2b6222a34d11f97cf7cf5cc696080dac34e94deb8e6cf3822b27442e0793fa
haproxy_1.4.18-0ubuntu2.1.debian.tar.gz 13.2 KiB 4b57658e8f0bc5809bba7458c093fa9d5e3d7d079ba31d4d5616f6709546f90e
haproxy_1.4.18-0ubuntu2.1.dsc 1.9 KiB 8e15ead88c4090eb1745430246bbacf9da752d7c05925fa95ad4d23a3ccbb0a0

View changes file

Binary packages built by this source

haproxy: No summary available for haproxy in ubuntu quantal.

No description available for haproxy in ubuntu quantal.